import request2 from '@/utils/request2'

export const questionnaireTopicQueryPage = data => request2({
    url: '/api-web/questionnaireTopic/queryPage',
    params: data,
    method: 'get',
})

export const questionnaireTopicGetDetail = data => request2({
    url: '/api-web/questionnaireTopic/getDetail',
    params: data,
    method: 'get',
})

export const questionnaireTopicAdd = data => request2({
    url: '/api-web/questionnaireTopic/add',
    data,
    method: 'post'
})

export const questionnaireTopicUpdate = data => request2({
    url: '/api-web/questionnaireTopic/update',
    data,
    method: 'post'
})

export const questionnaireTopicUpdateStatus = data => request2({
    url: '/api-web/questionnaireTopic/updateStatus',
    data,
    method: 'post',
    requestType: 'form'
})